Package com.omnisci.thrift.server

## Class TCountDistinctSetStorage

- java.lang.Object
- - org.apache.thrift.TUnion<TCountDistinctSetStorage,​TCountDistinctSetStorage._Fields>
  - - com.omnisci.thrift.server.TCountDistinctSetStorage

All Implemented Interfaces:
  `Serializable`, `Comparable<TCountDistinctSetStorage>`, `org.apache.thrift.TBase<TCountDistinctSetStorage,​TCountDistinctSetStorage._Fields>`, `org.apache.thrift.TSerializable`

    public class TCountDistinctSetStorage
    extends org.apache.thrift.TUnion<TCountDistinctSetStorage,​TCountDistinctSetStorage._Fields>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TCountDistinctSetStorage._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TCountDistinctSetStorage._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Fields inherited from class org.apache.thrift.TUnion

`setField_, value_`

### Constructor Summary

Constructors
`TCountDistinctSetStorage()`
`TCountDistinctSetStorage​(TCountDistinctSetStorage other)`
`TCountDistinctSetStorage​(TCountDistinctSetStorage._Fields setField, Object value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TCountDistinctSetStorage` `bitmap​(byte[] value)`
`static TCountDistinctSetStorage` `bitmap​(ByteBuffer value)`
`ByteBuffer` `bufferForBitmap()`
`protected void` `checkType​(TCountDistinctSetStorage._Fields setField, Object value)`
`int` `compareTo​(TCountDistinctSetStorage other)`
`TCountDistinctSetStorage` `deepCopy()`
`protected TCountDistinctSetStorage._Fields` `enumForId​(short id)`
`boolean` `equals​(TCountDistinctSetStorage other)`
`boolean` `equals​(Object other)`
`TCountDistinctSetStorage._Fields` `fieldForId​(int fieldId)`
`byte[]` `getBitmap()`
`protected org.apache.thrift.protocol.TField` `getFieldDesc​(TCountDistinctSetStorage._Fields setField)`
`Set<Long>` `getSparse_set()`
`protected org.apache.thrift.protocol.TStruct` `getStructDesc()`
`int` `hashCode()`
`boolean` `isSetBitmap()`
`boolean` `isSetSparse_set()`
`void` `setBitmap​(byte[] value)`
`void` `setBitmap​(ByteBuffer value)`
`void` `setSparse_set​(Set<Long> value)`
`static TCountDistinctSetStorage` `sparse_set​(Set<Long> value)`
`protected Object` `standardSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field)`
`protected void` `standardSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)`
`protected Object` `tupleSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot, short fieldID)`
`protected void` `tupleSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class org.apache.thrift.TUnion

`clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### metaDataMap

    public static final Map<TCountDistinctSetStorage._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TCountDistinctSetStorage

    public TCountDistinctSetStorage()

#### TCountDistinctSetStorage

    public TCountDistinctSetStorage​(TCountDistinctSetStorage._Fields setField,
                                    Object value)

#### TCountDistinctSetStorage

    public TCountDistinctSetStorage​(TCountDistinctSetStorage other)

### Method Detail

#### deepCopy

    public TCountDistinctSetStorage deepCopy()

#### bitmap

    public static TCountDistinctSetStorage bitmap​(ByteBuffer value)

#### bitmap

    public static TCountDistinctSetStorage bitmap​(byte[] value)

#### sparse_set

    public static TCountDistinctSetStorage sparse_set​(Set<Long> value)

#### checkType

    protected void checkType​(TCountDistinctSetStorage._Fields setField,
                             Object value)
                      throws ClassCastException

Specified by:
  `checkType` in class `org.apache.thrift.TUnion<TCountDistinctSetStorage,​TCountDistinctSetStorage._Fields>`
Throws:
  `ClassCastException`

#### standardSchemeReadValue

    protected Object standardSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot,
                                             org.apache.thrift.protocol.TField field)
                                      throws org.apache.thrift.TException

Specified by:
  `standardSchemeReadValue` in class `org.apache.thrift.TUnion<TCountDistinctSetStorage,​TCountDistinctSetStorage._Fields>`
Throws:
  `org.apache.thrift.TException`

#### standardSchemeWriteValue

    protected void standardSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)
                                     throws org.apache.thrift.TException

Specified by:
  `standardSchemeWriteValue` in class `org.apache.thrift.TUnion<TCountDistinctSetStorage,​TCountDistinctSetStorage._Fields>`
Throws:
  `org.apache.thrift.TException`

#### tupleSchemeReadValue

    protected Object tupleSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot,
                                          short fieldID)
                                   throws org.apache.thrift.TException

Specified by:
  `tupleSchemeReadValue` in class `org.apache.thrift.TUnion<TCountDistinctSetStorage,​TCountDistinctSetStorage._Fields>`
Throws:
  `org.apache.thrift.TException`

#### tupleSchemeWriteValue

    protected void tupleSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)
                                  throws org.apache.thrift.TException

Specified by:
  `tupleSchemeWriteValue` in class `org.apache.thrift.TUnion<TCountDistinctSetStorage,​TCountDistinctSetStorage._Fields>`
Throws:
  `org.apache.thrift.TException`

#### getFieldDesc

    protected org.apache.thrift.protocol.TField getFieldDesc​(TCountDistinctSetStorage._Fields setField)

Specified by:
  `getFieldDesc` in class `org.apache.thrift.TUnion<TCountDistinctSetStorage,​TCountDistinctSetStorage._Fields>`

#### getStructDesc

    protected org.apache.thrift.protocol.TStruct getStructDesc()

Specified by:
  `getStructDesc` in class `org.apache.thrift.TUnion<TCountDistinctSetStorage,​TCountDistinctSetStorage._Fields>`

#### enumForId

    protected TCountDistinctSetStorage._Fields enumForId​(short id)

Specified by:
  `enumForId` in class `org.apache.thrift.TUnion<TCountDistinctSetStorage,​TCountDistinctSetStorage._Fields>`

#### fieldForId

    public TCountDistinctSetStorage._Fields fieldForId​(int fieldId)

#### getBitmap

    public byte[] getBitmap()

#### bufferForBitmap

    public ByteBuffer bufferForBitmap()

#### setBitmap

    public void setBitmap​(byte[] value)

#### setBitmap

    public void setBitmap​(ByteBuffer value)

#### getSparse_set

    public Set<Long> getSparse_set()

#### setSparse_set

    public void setSparse_set​(Set<Long> value)

#### isSetBitmap

    public boolean isSetBitmap()

#### isSetSparse_set

    public boolean isSetSparse_set()

#### equals

    public boolean equals​(Object other)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TCountDistinctSetStorage other)

#### compareTo

    public int compareTo​(TCountDistinctSetStorage other)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`